#include <STime.h>
#include <Tracer.h>
#include <param.h>

#include <string>
#include <iostream>
//#include <iomanip>

#include "mjdconv.h"

void mjdconv()
{
  PROC

  std::cout.setf(ios::fixed, ios::floatfield);
  std::cout.precision(14);

  if(booleanParameter("withmjd")){
    STime st(realParameter("mjd"));
    std::cout << "----------------------------------" << std::endl;
    std::cout << "Conversion from MJD to date string" << std::endl;
    std::cout << "----------------------------------" << std::endl;
    std::cout << realParameter("mjd") << " = " << st << std::endl;
  }

  if(booleanParameter("withdate")){
    STime st(stringParameter("date"));
    std::cout << "----------------------------------" << std::endl;
    std::cout << "Conversion from date string to MJD" << std::endl;
    std::cout << "----------------------------------" << std::endl;
    std::cout << stringParameter("date") << " = " << st.modifiedJulianDay().full()
		 << std::endl;
  }	     

  ENDPROC
}
