#! /bin/sh
#  Giuseppe Vacanti (cosine science & computing)
#  October  2, 2001
#
# Test that documentation examples actually run.
# This is just an interface check, as validity of the contents is done
# in the other test harnesses. 
set -e

dscreatedataset --name=tabexamples.ds
dsaddtable --set=tabexamples.ds --name=table --rows=100
dsaddcolumn --name=time --type=real64 --table=tabexamples.ds: --withsize=yes --size=1

tabcalc --tables=tabexamples.ds: --column=time --expression="#ROW" --columntype=real64

tabcalc --tables=tabexamples.ds:table --expression="time + 43" --column=time43 --columnunit=s --columnlabel="corrected time"
