//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine science & computing) 
// December 2001
//
// $Id: periodat.cc,v 1.1 2002/02/11 08:50:32 gvacanti Exp $

#include <iostream>
#include <cmath>
#include <string>
#include <STime.h>

int main() {
  double p = 0., pdot = 0., p2dot = 0.;
  std::string epoch, when;

  std::cin >> p >> pdot >> p2dot >> epoch;
  std::cin >> when;

  STime tepoch(epoch), twhen(when);

  double delta = twhen - tepoch;
  double pex = p + delta * pdot + 0.5 * delta * delta * p2dot;

  std::cout << std::setprecision(15) << pex << std::endl;

}
